Forum Stats

  • 3,851,547 Users
  • 2,263,999 Discussions
  • 7,904,776 Comments

Discussions

Version compatibility in OIM with ADF custom region

Baduel
Baduel Member Posts: 97 Green Ribbon
edited Sep 13, 2013 6:54AM in JDeveloper and ADF

Hello everyone.

I'm developing an ADF custom region with JDeveloper v. 11.1.2.3.0 to insert in OIM Identity Self Service 11g release 2 (11.1.2).

In my custom region I use a PanelGridLayout and when I run it the following error message appears:

javax.faces.FacesException: javax.servlet.ServletException: OracleJSP error:
oracle.jsp.parse.JspParseException: <br>/fragments/externalUsersRequest.jsff: Line # 1, &lt;jsp:root version="2.1" xmlns:af="http://xmlns.oracle.com/adf/faces/rich" xmlns:f="http://java.sun.com/jsf/core" xmlns:jsp="http://java.sun.com/JSP/Page"&gt; <br>Error: http://xmlns.oracle.com/adf/faces/rich:panelGridLayout is not a registered tag in the specified namespace.

This error depends by the ADF version?

Thanks in advance.

Manuel

Edit: I've moved this post in ADF section.

Tagged:

Answers

  • Timo Hahn
    Timo Hahn Senior Principal Technical Consultant - Oracle ACE Director Member, Moderator Posts: 38,725 Red Diamond

    I guess the error depends on the adf Verdon as the panel grid layout was not present in all 11.1.2.x versions. It's possible that the OIM version does not know about this layout container.

    Timo

This discussion has been closed.